Skip to navigation

Update an internal use case

View as Markdown
Update internal use case details

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory
entryIdstringRequiredformat: "uuid"
id of the Partner entry
internalUseCaseIdstringRequiredformat: "uuid"
useCaseIdstringRequiredformat: "uuid"
id of the use case

Request

This endpoint expects an object.
titlestring or nullOptional1-255 characters
descriptionstring or nullOptional1-1200 characters
orderintegerOptional>=0

Response

Successful operation
idstringformat: "uuid"
titlestring or nullOptional<=255 characters
descriptionstring or nullOptional<=1200 characters
orderintegerOptional>=0

Errors

404
Not Found Error